:: Interlis Demoimport Geopackage (gpkg) für QGIS mit ili2gpkg (interlis.ch)
:: Die Demodaten sind weder vollständig noch rechtsgültig und dürfen nicht weiterverwendet werden
:: Für die Verwendung dieser Scripte wird jegliche Haftung abgelehnt.
:: Ein vergleichbarer Workflow ist mit dem Model Baker Plugin unter QGIS möglich 
:: 07.03.2022, AGI Appenzell I.Rh., mep

@echo off
cls
set iliversion=4.7.0
color 1E
title Interlis Demoimport Geopackage (gpkg) für QGIS mit ili2gpkg (interlis.ch)
chcp 65001 > nul
setlocal EnableDelayedExpansion
rmdir C:\Users\%username%\.ilicache /S /Q >nul 2>&1
del /q /s AI_Nutzungsplanung_Schutz_V2_2.gpkg >nul 2>&1
if not exist C:\ili2db\ili2gpkg\ili2gpkg-%iliversion%.jar goto error
if not exist "C:\Program Files (x86)\Common Files\Oracle\Java\javapath\java.exe" goto error

java -jar C:\ili2db\ili2gpkg\ili2gpkg-%iliversion%.jar --schemaimport --coalesceCatalogueRef --createEnumTabs --createNumChecks --createFk --createFkIdx --coalesceMultiSurface --coalesceMultiLine --coalesceMultiPoint --coalesceArray --beautifyEnumDispName --createGeomIdx --createMetaInfo --expandMultilingual --createTypeConstraint --createTidCol --smart1Inheritance --defaultSrsAuth EPSG --defaultSrsCode 2056 --createTypeDiscriminator --createBasketCol --nameByTopic --log "AI_Nutzungsplanung_Schutz_V2_2_gpkg_schemaimport.log" --dbfile "AI_Nutzungsplanung_Schutz_V2_2.gpkg" "AI_Nutzungsplanung_Schutz_V2_2.ili"
java -jar C:\ili2db\ili2gpkg\ili2gpkg-%iliversion%.jar --import --importTid --log "AI_Nutzungsplanung_Schutz_V2_2_gpkg_import.log" --dbfile "AI_Nutzungsplanung_Schutz_V2_2.gpkg" --dataset "FSG" AI_Schutzobjekte_PR6984.xtf 

goto end

:error
color 4E
echo Bitte ili2gpkg von https://www.interlis.ch/downloads/ili2db herunterladen und nach c:\ili2db\ili2gpkg\ extrahieren.
echo Zudem muss eine aktuelle Java Runtime Version installiert sein. (https://java.com/de/)
echo Allenfalls muss die Versionsnummer in Zeile 6 dieser Batchdatei angepasst werden.
goto end

:end
pause